--- csrc/linuxio.c.orig	Thu Jun 16 02:22:36 2005
+++ csrc/linuxio.c	Sun Jul  3 23:13:25 2005
@@ -57,10 +57,16 @@
 #include <signal.h>
 #include <pwd.h>
 
+#if defined(__FreeBSD__)
+   #include <termios.h>
+   #include <netinet/in.h>
+   #include <netinet/tcp.h>
+   #define PASSWD_FILE_NAME "/etc/passwd"
+#else
    #include <termio.h>
    #include <linux/tcp.h>
    #define PASSWD_FILE_NAME "/etc/shadow"
-
+#endif
 
 
 #define RING_SIZE 1024
