--- csrc/op_misc.c.orig	Thu Jun 16 02:22:37 2005
+++ csrc/op_misc.c	Sun Jul  3 23:51:16 2005
@@ -78,7 +78,11 @@
 #include <math.h>
 #include <time.h>
 
+#if defined(__FreeBSD__)
+   #define _timezone timezone()
+#else
    #define _timezone timezone
+#endif
 
 bool qmsendmail(char * sender, char * recipients, char * cc_recipients,
                 char * bcc_recipients, char * subject, char * text,
@@ -1604,9 +1608,11 @@
 
   } 
 
-
- return timenow - _timezone + dst;
-
+#if defined(__FreeBSD__)
+ return (timenow - ltm->tm_gmtoff + dst);
+#else
+ return (timenow - _timezone + dst);
+#endif
 
 }
 
