--- csrc/qm.h.orig	Thu Jun 16 02:22:37 2005
+++ csrc/qm.h	Sun Jul  3 22:27:55 2005
@@ -53,7 +53,11 @@
    #define _XOPEN_SOURCE
    #define _XOPEN_CRYPT
    #include <unistd.h>
-   #include <endian.h>
+   #if defined(__FreeBSD__)
+   #  include <sys/endian.h>
+   #else
+   #  include <endian.h>
+   #endif
    #if __BYTE_ORDER == __BIG_ENDIAN
       #define BIG_ENDIAN_SYSTEM
    #endif
